namespace MyOffice.Data.Repositories.Item;

using MyOffice.Data.Models.Items;

public interface IItemRepository
{
	List<Item> GetAll(Guid userId);
	List<Item> GetByCategory(Guid userId, Guid categoryId);

	Item? GetByGlobal(Guid userId, Guid globalMotionId);
	bool Add(Item item);
	bool Update(Item item);
	List<Item> Find(Guid userId, string term, int limit);
}